import { HttpStatus, HttpException } from '@nestjs/common';
import { TipoInmuebleService } from './tipo-inmueble.service';
import { CreateTipoInmuebleDto } from './dto/create-tipo-inmueble.dto';
import { UpdateTipoInmuebleDto } from './dto/update-tipo-inmueble.dto';
export declare class TipoInmuebleController {
    private tipoInmuebleService;
    constructor(tipoInmuebleService: TipoInmuebleService);
    getTipoInmuebleAll(): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        }[];
    }>;
    getTipoInmueble(page: number, limit: number): Promise<{
        statusCode: HttpStatus;
        message: string;
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    searchTipoInmueble(page: number, limit: number, body: Record<string, any>): Promise<{
        data: HttpException | {
            data: {
                created_at: string;
                updated_at: string;
                id: number;
                nombre: string;
                deleted_at: Date;
                inmueble: import("../inmueble/inmueble.entity").Inmueble[];
            }[];
            meta: {
                total: number;
                page: number;
                limit: number;
                totalPages: number;
            };
        };
    }>;
    getTipoInmuebleById(id: number): Promise<HttpException | {
        created_at: string;
        updated_at: string;
        id: number;
        nombre: string;
        deleted_at: Date;
        inmueble: import("../inmueble/inmueble.entity").Inmueble[];
    }>;
    createTipoInmueble(newTipoInmueble: CreateTipoInmuebleDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    updateTipoInmueble(id: number, tipoInmueble: UpdateTipoInmuebleDto): Promise<HttpException | {
        data: {
            created_at: string;
            updated_at: string;
            id: number;
            nombre: string;
            deleted_at: Date;
            inmueble: import("../inmueble/inmueble.entity").Inmueble[];
        };
        status: HttpStatus;
        message: string;
    }>;
    deleteTipoInmueble(id: number): Promise<HttpException | import("typeorm").UpdateResult>;
}
